Can I use it for PowerBook G4 with Mac OS 10.3.3 ?

Apple Magic Mouse

Back To Product

Follow this Question

2 Answers from the Community

  • Answer

    No, unfortunately it says that the earliest OS version is 10.5.8 with a software update for the wireless mouse.

    Was this useful? Answer 1

    2 of 2 people found this useful

  • No, You need a minimal of MAC OS 10.5.8 or above.

    Was this useful? Answer 2

    2 of 2 people found this useful

Related Questions